---
title: Get Card Details
description: This API is used to fetch all the card details of the customer.
---

This API is used to fetch all the card details of the customer. We must pass entity id in request. If the request has valid details, we will get details like card no, kit no, expiry date, card status, card type in response.

## POST

```
https://kraken.airpay.co.in/airpay/ms/cards/api/card-details
```

## Header

| Field | Type | Description |
| --- | --- | --- |
| token | text | Will be provided by Airpay (length 10, required) |
| checksum | text | $string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>);(dynamic, required) |

## Parameter

| Field | Type | Description |
| --- | --- | --- |
| entity_id | text | The Customer Id registered with the system (length 50, required) |
## Request-Example:

```
 curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/cards/api/card-details' \
--header 'token: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'entity_id=91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps'
```

## Success 200

| Field | Type | Description |
| --- | --- | --- |
| status | numeric | 400- fail,200-success(length 3, required) |
| message | text | Success, Fail(required) |
| data | json | { "cards": [{ "card_no": "1500", "kit_no": "11111", "expity": "", "card_status": "ALLOCATED", "card_type": "PHYSICAL"},{ "card_no": "15001", "kit_no": "111111", "expity": "", "card_status": "ALLOCATED", "card_type": "VIRTUAL" }] }(required) |
## Success-Response:

```
{
    "status": 200,
    "message": "success",
    "data": [
        {
            "card_no": "462294XXXXXX1234",
            "kit_no": "100000001218",
            "expiry_date": "03/22",
            "card_status": "A",
            "card_type": "V"
        },
        {
            "card_no": "462294XXXXXX3713",
            "kit_no": "100000001212",
            "expiry_date": "12/2022",
            "card_status": "A",
            "card_type": "V"
        }
    ]
}
```
## Fail-Response:

```
{
    "status": 400,
    "message": "fail"
}
```